#ifndef CHATLINEBUFFER_HPP_INCLUDED
#define CHATLINEBUFFER_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>
#include <vector>
#include "MessageNode.hpp"

namespace Internal
{
    class ChatLineBuffer : public Object
    {
        public:
            ChatLineBuffer();
            ChatLineBuffer(const void* Obj);
            ChatLineBuffer(const ChatLineBuffer& C);
            static Class GetClass();

            std::int32_t GetLength() const;
            std::vector<MessageNode> GetLines() const;
            MessageNode GetLines(std::int32_t I) const;

    };
}

#endif // CHATLINEBUFFER_HPP_INCLUDED
